









                      ELECTRONIC FLASHCARDS





                          Version 2.0
                            (c) 1992





                          User's Manual










                          LCS CREATIONS
                      305 E 24TH ST APT 202
                     NATIONAL CITY, CA 91950
                        TEL: (619)474-2917

















                        EFC2 USER'S MANUAL

COPYRIGHT NOTICE:
*****************

The program "Electronic Flashcards" is not public domain software,
freeware or demoware.  It has been released by LCS Creations as
shareware.  Electronic Flashcards is a copyrighted software product
developed and owned by LCS Creations in National City, CA, USA.



You may make and keep backup copies of this software for your
personal use if you keep all files, including the demonstration
data files, manual, main program, and install file together.



The rights to receive any financial or other benefits, to modify
the main file, install file, readme.1st file, and manual are
reserved exclusively by LCS Creations.



You may not reverse-engineer, disassemble, modify, or decompile
the main file, install file, readme.1st file, or manual file.
You acknowledge that the product includes certain trade secrets and
confidential information which is copyrighted property of LCS
Creations.



ELECTRONIC FLASHCARDS and EFC2 are trademarks of LCS Creations.
All rights are reserved worldwide.



The EFC2 User's manual is copyrighted and all rights are reserved.
The reproduction of this document, in whole or in part, or its
conversion to the electronic medium are prohibited without prior
consent from LCS Creations.



IBM is a trademark of International Business Machines, Inc.
MSDOS is a trademark of Microsoft Corporation.



Additions and modifications to this program and manual will be made
periodically as needed and will be included as additions to the
material covered by this copyright notice.

                                i
                        EFC2 USER'S MANUAL

LIMITED WARRANTY:
*****************


This program is provided "as is," without warranty of any kind,
expressed or implied, including but not limited to the implied
warranties of merchantability and fitness for a particular purpose.
The entire risk as to quality and performance of this program is
yours.  Should the program prove defective, you, not LCS Creations,
assume the entire cost of all necessary repair, servicing, and
correction.  In no event will LCS Creations be liable to you for
any damages, including any lost profits, savings, or consequential
damages resulting from the use of or inability to use this program,
even if LCS Creations is advised.  This warranty gives you, the
user, specific legal federal rights and state rights that vary
within each individual state.  Some states do not allow the
exclusion of liability for incidental or consequential damages so
the above may not apply in your state.  You acknowledge that you
have read this agreement, understand it, and agree to its terms and
provisions before you operate this program.  You further agree that
this is the complete and exclusive statement of the agreement
between us, which supersedes any proposal or prior agreement, oral
or written, and any other communications between you and LCS
Creations.



























                               ii

                        EFC2 USER'S MANUAL

TABLE OF CONTENTS:
******************

            TOPIC                                           PAGE
**********************************************************  ****
COPYRIGHT NOTICE                                            i
LIMITED WARRANTY                                            ii
TABLE OF CONTENTS                                           iii
PROGRAM USES                                                1
HARDWARE AND SOFTWARE REQUIREMENTS                          1
PROGRAM INSTALLATION                                        2
PROGRAM OPERATION                                           3
DEMO FILES                                                  4
TOPIC DATA FILE FORMATS                                     5
DATA FILE "DATLOC.DAT"                                      6
REGISTRATION                                                7
REGISTRATION FORM                                           8


































                               iii

                        EFC2 USER'S MANUAL

PROGRAM USES:
*************

"Electronic Flashcards" Version 2.0 is an educational study
assistance program designed to help any student prepare for courses
at home.  Using positively reinforced repetition, EFC2 patiently
steps the student through the subject under review, one
question/term at a time, either sequentially or in random order.
The student chooses between 4 randomly selected distractors, only
one of which is correct.  After responding correctly, the program
will proceed to the next item to be reviewed.  This process will
enable the student to remember the information present in the data
files easier, resulting in a higher information retention rate and
higher grades come test time.

EFC2 can be used to review almost any type of scholastic
information:
Terms and definitions of a memory intensive course, such as the one
illustrated in the enclosed demonstration data files.
Mathematics/Algebra formulas and procedures.
State/Country capital cities.
CB/Taxi/Police 10 codes.
Ham radio Q codes.
Electronics formulas and laws.


HARDWARE AND SOFTWARE REQUIREMENTS:
***********************************

EFC2 will operate on almost any IBM PC or compatible computer
system.  It uses very little memory in comparison to some software
products released today, and requires little in terms of special
peripherals;

HARDWARE/SOFTWARE:            MINIMUMS:
****************************  **********************************
Computer:                     IBM PC or compatible
Model:                        XT
RAM:                          512K
Operating system:             MS-DOS 2.0 or equivalent
Word Processor:               Any word processor capable of
                              generating/saving ASCII files,
                              such as WordPerfect, MS-DOS' text
                              editor, or Microsoft Word

In addition, EFC2 will run very quickly from an available hard
drive.  Some color highlighting is used by the program which is
best displayed with a color monitor, but it is very usable with
monochrome/Hercules monitors.  Optional sound effects can be heard
using an available computer speaker.  

                                1

                        EFC2 USER'S MANUAL

PROGRAM INSTALLATION:
*********************

EFC2 comes bundled with a batch file designed to install the
program into its own directory on your hard drive.  You have 3
installation options:

1.  Install to the "C:\EFC2" directory:
Ensure you are at the DOS prompt in the directory that contains all
the distributed EFC2 files and you do not already have a "C:\EFC2"
directory.  Then simply enter "INSTALL".  The INSTALL.BAT file will
create the "C:\EFC2" directory and copy the program, all data
files, and documentation from the current directory into the newly
created EFC2 directory on your "C" hard drive.  Then put your
distributed disk away for safekeeping and run the program off your
hard disk.

2.  Install to a directory of your choice that does not exist:
Ensure you are at the DOS prompt in the directory that contains all
the distributed EFC2 files and the directory where you want to
install EFC2 does not exist.  Then simply enter "INSTALL
<directory>" where <directory> is the destination hard drive and
directory.  For example:  "INSTALL D:\REVIEWER".  The INSTALL.BAT
file will create the REVIEWER directory on your "D" hard drive,
then copy the program, all data files, and documentation from the
current directory into that directory.  Then put your distributed
disk away for safekeeping and run the program off your hard disk.

3.  Install to a directory of your choice that already exists:
Ensure you are at the DOS prompt in the directory that contains all
the distributed EFC2 files and the directory where you want to
install EFC2 does exist.  Then simply enter "INSTALL <directory>"
where <directory> is the destination hard drive and directory.  For
example:  "INSTALL C:\CARDS".  The INSTALL.BAT file will copy the
program, all data files, and documentation from the current
directory into the CARDS directory on your "C" hard drive.  Then
put your distributed disk away for safekeeping and run the program
off your hard disk.













                                2

                        EFC2 USER'S MANUAL

PROGRAM OPERATION:
******************

NOTE - Program will run from floppy disk, but will be slower during
file loading.

After you have finished EFC2 installation, you are ready to start
using the Electronic Flashcards program.

                          ***CAUTION***
The program EFC2 will not run unless the following files are all in
the same directory:
EFC2.EXE
DATLOC.DAT
All data files specified in DATLOC.DAT.

To use the Electronic Flashcards program, change directories (using
the "CD" DOS command) to the directory containing the program and
data files, then simply enter "EFC2".  The program will begin
operation.  The first option presented is whether you want sound
effects to be on during the answering of questions.  Sound effects
are recommended when the program is being used by grade school
and/or junior high school students in order to positively reinforce
the material learned with appropriate aural stimulation.  But to
adults, the constant beeping can be an irritant, especially if
you're studying with a hangover.

The next option is whether you want the terms to be defined
randomly or sequentially.  Sequential questions are recommended for
initial review of any subject.  Random picking of
question/definitions are recommended after the student is somewhat
familiar with the presented material.  Last minute cramming for a
test will be most effective in the random mode if the student has
attended any classes.

The program will next present a menu screen that will enable you to
choose the topic to be reviewed during that particular reviewing
session.  The list is read from the DATLOC.DAT file, and should
contain all data files for that subject.  Press the key
corresponding to the letter of the topic to be reviewed, and the
program will load that data file into RAM.










                                3

                        EFC2 USER'S MANUAL

PROGRAM OPERATION:
(CONTINUED)
*****************

You will now be presented with the first question/term of the topic
under review.  Answer the question/term by hitting the A, B, C, or
D keys, whichever is correct, and the program will tell you what
answer you chose, and whether it was correct or incorrect.  If it
was correct, the program will move on to the next term.  If it was
incorrect, the program will reselect the correct distractor and
prompt you to define that same term again.  It will repeat until
the question/term is answered/defined correctly.  NOTE - Once you
are in the portion of the program that steps you through each item,
there is no way to quit.  You MUST answer each item correctly all
the way through to the last question.

After you have successfully answered all questions in the selected
data file, the program will ask if you want to quit or repeat the
reviewing session.  Choose "R" to repeat, and the program will step
you back through the sound option, mode (random or sequential)
option, and then you can choose the next topic to be reviewed.
Choose "Q" to quit EFC2 and return to DOS.


DEMO FILES:
***********

EFC2 comes with 12 data files already ready to be reviewed.
"TESTFILE.DAT" contains 5 states and their capitals to illustrate
the program's capabilities without having to step through a long
list of items.  The other 11 data files were generated from a
Community College Psychology 101 course, and contains terms and
definitions from the textbook of that subject.


















                                4

                        EFC2 USER'S MANUAL

TOPIC DATA FILE FORMATS:
************************

In order for you to use EFC2 to review topics of your own choosing,
you must first type the data into ASCII data files using whichever
word processor you have available that is capable of generating
ASCII files, such as WordPerfect, MS-DOS' EDLIN or Text Editor, or
Microsoft Word.

The first item in each data file must be the total number of items
in that file.  For example, the following is the contents of data
file "TESTFILE.DAT:"

5
Capital of Alabama?,Montgomery
Capital of Alaska?,Juneau
Capital of Arizona?,Phoenix
Capital of Arkansas?,Little Rock
Capital of California?,Sacramento

Notice that the first item is 5, the number of data records that
follow.  Notice also that each term is listed first, then a comma,
then the answer/definition.  A carriage return terminates each
record.  All data files used for review must follow this format in
order for EFC2 to read the data.  There is no limit to the number
of records that can be included in each topic data file, but you
must ensure that the number at the beginning of the file is the
number of terms/questions that the file contains, or EFC2 will not
operate as designed.

NOTE - EFC2 was compiled from QuickBASIC 4.5, and has that
language's limitations of field delimiters.  Do not use commas or
quotation marks in the text of the terms or answers in the topic
files to be used for review.

















                                5

                        EFC2 USER'S MANUAL

DATA FILE "DATLOC.DAT":
***********************

The file "DATLOC.DAT" contains the DATa LOCations of all files you
want available for review by EFC2.  For example, the following is
the contents of the file "DATLOC.DAT" that came bundled with the
program originally:

12
PSYC101 First Chapter,CHAP1.DAT
PSYC101 Second Chapter,CHAP2.DAT
PSYC101 Eighth Chapter,CHAP8.DAT
PSYC101 Sixth Chapter,CHAP6.DAT
PSYC101 Ninth Chapter,CHAP9.DAT
PSYC101 Tenth Chapter,CHAP10.DAT
PSYC101 Eleventh Chapter,CHAP11.DAT
PSYC101 Fifteenth Chapter,CHAP15.DAT
PSYC101 Sixteenth Chapter,CHAP16.DAT
PSYC101 Seventeenth Chapter,CHAP17.DAT
PSYC101 Eighteenth Chapter,CHAP18.DAT
EFC2 Special 5-Term Test File,TESTFILE.DAT

Notice that the first item is 12, the number of data records that
follow.  Notice also that each topic title is listed first, then a
comma, then the actual name of the data file.  A carriage return
terminates each record.  The data file "DATLOC.DAT" must follow
this format in order for EFC2 to read the data.  EFC2 will process
up to 18 topic files in this master listing file.  You must ensure
that the number at the beginning of the file is the number of
topic titles and filenames that the file contains, or EFC2 will not
operate as designed.

Each topic file you want to use for review must be listed in the
DATLOC.DAT file.  As you generate topic files, simply use your word
processor to type in the topic data file records in the specified
format, then save it to a file name of your own choosing.  Then
load the file DATLOC.DAT, and add the new topic title and file name
to that file.  Don't forget to make sure the first number in the
DATLOC.DAT file is the total number of records (and total number of
topic files you want listed) in that file.











                                6

                        EFC2 USER'S MANUAL

REGISTRATION:
*************

Now comes the part where I beg for your money.  As EFC2 is a
shareware program, you have the opportunity to try it out before
you shell out your hard earned money to buy it.  This manual was
designed for you to be able to use EFC2 with minimum problems.
Once you start using EFC2, you may find that it is just the program
you need right now to prepare for an upcoming course.  If you use
EFC2 regularly, please register your copy with LCS Creations for
only $10.00, using the last page of this manual.  Registration will
entitle you to discounts on further EFC2 revisions.  Registration
will also enable you to input your suggestions as to future program
improvements.  All I ask is a fair price for a professional service
rendered.




































                                7

   **********************************************************
   *ELECTRONIC FLASHCARDS VERSION 2.0 USER REGISTRATION FORM*
   **********************************************************



REGISTRATION FEE:  U. S. $10.00.                      $______


California residents add 7% State Sales Tax.          $______


No Foreign stamps or currency, please. U. S. Cash,
check, or money order payable to "LCS Creations"
                                                Total $______
EFC2 Author: Leroy C. Smith
Address: 305 E 24TH ST APT 202
         NATIONAL CITY CA 91950

Phone: (619)474-2917

         ==========REGISTERED USER INFORMATION==========

Name:_____________________________        Phone:(___)___________

Address:________________________________________________________

City:______________________________ State:_________  Zip:_______

Country/Province:_______________________

Computer Model:

IBM  PC___   XT___   AT___   286___   386___   486___   Others___

Monitor:  Monochrome___   Hercules___   CGA___   EGA___   VGA___

Source of EFC2:_________________________________________________

Comments to improve future versions of Electronic Flashcards:

________________________________________________________________

________________________________________________________________

________________________________________________________________

________________________________________________________________

________________________________________________________________

Thank you for your support.

                                8


         ----------------end-of-author's-documentation---------------

                         Software Library Information:

                    This disk copy provided as a service of

                           Public (software) Library

         We are not the authors of this program, nor are we associated
         with the author in any way other than as a distributor of the
         program in accordance with the author's terms of distribution.

         Please direct shareware payments and specific questions about
         this program to the author of the program, whose name appears
         elsewhere in  this documentation. If you have trouble getting
         in touch with the author,  we will do whatever we can to help
         you with your questions. All programs have been tested and do
         run.  To report problems,  please use the form that is in the
         file PROBLEM.DOC on many of our disks or in other written for-
         mat with screen printouts, if possible.  PsL cannot debug pro-
         programs over the telephone, though we can answer questions.

         Disks in the PsL are updated  monthly,  so if you did not get
         this disk directly from the PsL, you should be aware that the
         files in this set may no longer be the current versions. Also,
         if you got this disk from another vendor and are having prob-
         lems,  be aware that  some files may have become corrupted or
         lost by that vendor. Get a current, working disk from PsL.

         For a copy of the latest monthly software library newsletter
         and a list of the 4,000+ disks in the library, call or write

                           Public (software) Library
                               P.O.Box 35705 - F
                            Houston, TX 77235-5705

                                1-800-2424-PSL
                             MC/Visa/AmEx/Discover

                          Outside of U.S. or in Texas
                          or for general information,
                              Call 1-713-524-6394


